android-platform-external-avb (9.0.0+r61-3+git20221221041039.00211a0.bookworm) bookworm; urgency=medium

  [ Erik Inkinen ]
  * Port avbtool to python3

  [ Eugenio Paolantonio (g7) ]
  * [skip ci] Replace Drone with CircleCI

 -- Erik Inkinen <erik.inkinen@gmail.com>  Wed, 21 Dec 2022 06:10:39 +0200

android-platform-external-avb (9.0.0+r61-1) bullseye; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * [packaging] Initial packaging

  [ android-build-team Robot ]
  * release-request-999b130a-24cf-4106-967e-4713076535ff-for-git_pi-release-4257729 snap-temp-L14600000090822884
  * release-request-d9d65d1a-80f5-45e5-a00f-5a3915c3d445-for-git_pi-release-4303984 snap-temp-L75600000097489288
  * release-request-f7e8a600-b041-4cd7-94a0-d043d188195c-for-git_pi-release-4318525 snap-temp-L60300000099762192
  * release-request-cacfaf25-4304-4e6b-ab4e-089367c7ed39-for-git_pi-release-4326570 snap-temp-L59400000101056305
  * release-request-ed8626b9-4479-4c76-9207-5f511f136606-for-git_pi-release-4354758 snap-temp-L65900000105223161
  * release-request-03f8b444-32f4-4a37-b710-3464560b2e0d-for-git_pi-release-4357195 snap-temp-L45800000105591912
  * release-request-b4bc7b84-64b6-4176-8f16-ce17068fad13-for-git_pi-release-4370135 snap-temp-L93500000107644030
  * Snap for 4373608 from e0167c4ab7b8e9b8caa5193250359a796e1ffc95 to pi-release
  * Snap for 4393550 from 939f8cc7e1c722bd885d760ddd7a97c7310a2fcd to pi-release
  * Snap for 4422293 from 719e7a48b7feb20aa945bdf7df64995c99bcb114 to pi-release
  * Snap for 4425573 from ed7a3d35ac8e2fc6a2fcc6156d9e0d6a3a0f4cd0 to pi-release
  * Snap for 4429796 from 1a6d58502dc320b2bf1a054f76a8398cf686a0c7 to pi-release
  * Snap for 4434599 from 71660d78f56bb17b14a382298a18813e31c1c845 to pi-release
  * Snap for 4450504 from 946fa835b0045a953a2f677a08f500072bd03bf1 to pi-release
  * Snap for 4453288 from 4b5981167a131248ba530487b398eedd60343cd3 to pi-release
  * Snap for 4459973 from c6b20e4a23d06da0cbc54d8d96b3f967330600f8 to pi-release
  * Snap for 4496165 from 8474dd523a2ddce5e38887ea147ec28079f4d60c to pi-release
  * Snap for 4533842 from 888318e2e5b114277f924f24f8a32c94b94da951 to pi-release
  * Snap for 4535700 from b56599a0a597a60688751387ea1ca6e383fff98c to pi-release
  * Snap for 4623514 from 791f6c3648dd9cea987396375592217b81898dd3 to pi-release

  [ Darren Krahn ]
  * libavb_ab: Fixed typos
  * libavb_ab: Fixed typos
  * libavb_ab: Fixed typos am: 63b836e13a
  * libavb_ab: Fixed typos am: 63b836e13a am: e262b4c59c
  * libavb_ab: Fixed typos am: 63b836e13a am: e262b4c59c am: ee9113a928
  * libavb: Move algorithm data to avb_crypto.h
  * test: Add abstract delegate and better rollback indexes to FakeAvbOps
  * libavb: Move algorithm data to avb_crypto.h
  * libavb: Move algorithm data to avb_crypto.h am: c9fa424bda
  * libavb: Move algorithm data to avb_crypto.h am: c9fa424bda am: 911dbdc2b1
  * libavb: Move algorithm data to avb_crypto.h am: c9fa424bda am: 911dbdc2b1 am: 404a9566fc
  * test: Add abstract delegate and better rollback indexes to FakeAvbOps
  * test: Add abstract delegate and better rollback indexes to FakeAvbOps am: 72d5790de1
  * test: Add abstract delegate and better rollback indexes to FakeAvbOps am: 72d5790de1 am: 3aa82b0c1a
  * test: Add abstract delegate and better rollback indexes to FakeAvbOps am: 72d5790de1 am: 3aa82b0c1a am: f92e84372f
  * Implement AVB Android Things eXtension (ATX)
  * Implement AVB Android Things eXtension (ATX)
  * Implement AVB Android Things eXtension (ATX) am: 147b08db62
  * Implement AVB Android Things eXtension (ATX) am: 147b08db62 am: 46bf7f29ff
  * Implement AVB Android Things eXtension (ATX) am: 147b08db62 am: 46bf7f29ff am: ab4b986fe4
  * libavb_atx: Remove GSK rollback index and increase key size.
  * libavb_atx: Remove GSK rollback index and increase key size.
  * libavb_atx: Remove GSK rollback index and increase key size. am: 43e12d8b29
  * libavb_atx: Remove GSK rollback index and increase key size. am: 43e12d8b29 am: 67cb9dba56
  * atx: Provide key versions used during verification
  * atx: Provide key versions used during verification
  * atx: Provide key versions used during verification am: 85af19c6ff
  * atx: Provide key versions used during verification am: 85af19c6ff am: 4ce7a031f1
  * atx: Provide key versions used during verification am: 85af19c6ff am: 4ce7a031f1 am: 2e374cb581
  * Use a zero product id instead of random.
  * Merge "Use a zero product id instead of random."
  * Merge "Use a zero product id instead of random." am: cd5e190f85
  * Merge "Use a zero product id instead of random." am: cd5e190f85 am: e616708d01
  * Add example code for Android Things
  * Add example code for Android Things
  * Add example code for Android Things am: 8160f36157
  * Add example code for Android Things am: 8160f36157 am: c20df17cb4
  * Add FakeAvbOpsDelegateWithDefaults
  * Implement support for on-device persistent digests.
  * Add FakeAvbOpsDelegateWithDefaults
  * Implement support for on-device persistent digests.
  * Add FakeAvbOpsDelegateWithDefaults am: 0954359207
  * Implement support for on-device persistent digests. am: fd0ba0d491
  * Add FakeAvbOpsDelegateWithDefaults am: 0954359207 am: db0f2e554a
  * Implement support for on-device persistent digests. am: fd0ba0d491 am: 37c19a98c7

  [ David Zeuthen ]
  * Add common verified boot tools and library.
  * Add support for sparse image files.
  * Update unit tests for new make_ext4fs.
  * Switch to MIT license.
  * Add A/B implementation.
  * libavb: Allow AvbOps functions to fail with OOM.
  * avbtool: add_hashtree_footer: Add --calc_max_image_size option.
  * Minor fixes to make the boot_control HAL work on real hardware.
  * Include full vbmeta digest on the kernel cmdline.
  * libavb: Allow AvbOps functions to fail with OOM.
  * avbtool: add_hashtree_footer: Add --calc_max_image_size option.
  * Minor fixes to make the boot_control HAL work on real hardware.
  * Include full vbmeta digest on the kernel cmdline.
  * libavb: Allow AvbOps functions to fail with OOM. am: 507752b2b5
  * avbtool: add_hashtree_footer: Add --calc_max_image_size option. am: 09692696e6
  * Minor fixes to make the boot_control HAL work on real hardware. am: 1eb74c93ed
  * Include full vbmeta digest on the kernel cmdline. am: 88b13e12a0
  * libavb: Allow AvbOps functions to fail with OOM. am: 507752b2b5 am: 29e4244edf
  * avbtool: add_hashtree_footer: Add --calc_max_image_size option. am: 09692696e6 am: 9e577f5cbb
  * Minor fixes to make the boot_control HAL work on real hardware. am: 1eb74c93ed am: 90bd1317e8
  * Include full vbmeta digest on the kernel cmdline. am: 88b13e12a0 am: 0153ac4383
  * Add common verified boot tools and library.
  * Add support for sparse image files.
  * Update unit tests for new make_ext4fs.
  * Switch to MIT license.
  * Add A/B implementation.
  * libavb: Allow AvbOps functions to fail with OOM. am: 507752b2b5 am: 29e4244edf am: ad7dcec122
  * avbtool: add_hashtree_footer: Add --calc_max_image_size option. am: 09692696e6 am: 9e577f5cbb am: 97c3bbead8
  * Minor fixes to make the boot_control HAL work on real hardware. am: 1eb74c93ed am: 90bd1317e8 am: fa1a11c87c
  * Include full vbmeta digest on the kernel cmdline. am: 88b13e12a0 am: 0153ac4383 am: dfc9830e93
  * Work around unpredictable output from make_ext4fs.
  * Work around unpredictable output from make_ext4fs.
  * Work around unpredictable output from make_ext4fs. am: 3f53b9de58
  * Work around unpredictable output from make_ext4fs. am: 3f53b9de58 am: b541cc4651
  * Fix spurious build errors.
  * Fix spurious build errors.
  * Fix spurious build errors. am: b0013ae7da
  * Fix spurious build errors. am: b0013ae7da am: 819bf46303
  * Add support for FEC in hashtrees.
  * Add support for FEC in hashtrees.
  * Add support for FEC in hashtrees. am: 0b7f1d3aad
  * Add support for FEC in hashtrees. am: 0b7f1d3aad am: 3cb09b6b51
  * Add support for FEC in hashtrees. am: 0b7f1d3aad am: 3cb09b6b51 am: 0179a10c33
  * Add room for expansion in descriptors.
  * Add room for expansion in descriptors.
  * Add room for expansion in descriptors. am: 5cb2db99e2
  * Add room for expansion in descriptors. am: 5cb2db99e2 am: d1c6d0fba2
  * Add room for expansion in descriptors. am: 5cb2db99e2 am: d1c6d0fba2 am: feaa4d83e4
  * libavb: Make it possible to load other partitions than 'boot'.
  * libavb: Make it possible to store A/B metadata somewhere else than 'misc'.
  * libavb: Make it possible to load other partitions than 'boot'.
  * libavb: Make it possible to store A/B metadata somewhere else than 'misc'.
  * libavb: Make it possible to load other partitions than 'boot'. am: a8bb9a0e86
  * libavb: Make it possible to store A/B metadata somewhere else than 'misc'. am: 4cc9652142
  * libavb: Make it possible to load other partitions than 'boot'. am: a8bb9a0e86 am: b0d534de15
  * libavb: Make it possible to store A/B metadata somewhere else than 'misc'. am: 4cc9652142 am: 1bbf299571
  * libavb: Make it possible to load other partitions than 'boot'. am: a8bb9a0e86 am: b0d534de15 am: 5a3ad33f7b
  * libavb: Make it possible to store A/B metadata somewhere else than 'misc'. am: 4cc9652142 am: 1bbf299571 am: 27804cedbe
  * libavb: Move all A/B functionality into separate libavb_ab/ directory.
  * libavb: Move all A/B functionality into separate libavb_ab/ directory.
  * libavb: Move all A/B functionality into separate libavb_ab/ directory. am: baf59e232e
  * libavb: Move all A/B functionality into separate libavb_ab/ directory. am: baf59e232e am: 5e299321db
  * libavb: Move all A/B functionality into separate libavb_ab/ directory. am: baf59e232e am: 5e299321db am: ac33257261
  * Make it possible to include public key metadata.
  * Make it possible to include public key metadata.
  * Make it possible to include public key metadata. am: 18666abc5d
  * Make it possible to include public key metadata. am: 18666abc5d am: cf08501220
  * Make it possible to include public key metadata. am: 18666abc5d am: cf08501220 am: 88bef71f63
  * Enable operations on unlocked devices.
  * Enable operations on unlocked devices.
  * Enable operations on unlocked devices. am: 0155e6b158
  * Enable operations on unlocked devices. am: 0155e6b158 am: a74339a852
  * Enable operations on unlocked devices. am: 0155e6b158 am: a74339a852 am: 106163d8fa
  * Add way to disable dm-verity allowing rootfs to be writable.
  * Merge "Add way to disable dm-verity allowing rootfs to be writable."
  * Merge "Add way to disable dm-verity allowing rootfs to be writable." am: 699d4e53d9
  * Merge "Add way to disable dm-verity allowing rootfs to be writable." am: 699d4e53d9 am: b710675019
  * Merge "Add way to disable dm-verity allowing rootfs to be writable." am: 699d4e53d9 am: b710675019 am: 445270a786
  * Pass androidboot.vbmeta.device option on the kernel cmdline.
  * libavb: Pass all vbmeta images in AvbSlotVerifyData, not just 'vbmeta'.
  * Rename "rollback index slot" to "rollback index location".
  * Pass androidboot.vbmeta.device option on the kernel cmdline.
  * libavb: Pass all vbmeta images in AvbSlotVerifyData, not just 'vbmeta'.
  * Rename "rollback index slot" to "rollback index location".
  * Pass androidboot.vbmeta.device option on the kernel cmdline. am: bc8f647d58
  * libavb: Pass all vbmeta images in AvbSlotVerifyData, not just 'vbmeta'. am: 8681a33e24
  * Rename "rollback index slot" to "rollback index location". am: 40ee1da883
  * Pass androidboot.vbmeta.device option on the kernel cmdline. am: bc8f647d58 am: 3a5cca8663
  * libavb: Pass all vbmeta images in AvbSlotVerifyData, not just 'vbmeta'. am: 8681a33e24 am: b84b061145
  * Rename "rollback index slot" to "rollback index location". am: 40ee1da883 am: cc2ad08388
  * Pass androidboot.vbmeta.device option on the kernel cmdline. am: bc8f647d58 am: 3a5cca8663 am: 1c29bdcc21
  * libavb: Pass all vbmeta images in AvbSlotVerifyData, not just 'vbmeta'. am: 8681a33e24 am: b84b061145 am: 41502cd50c
  * Rename "rollback index slot" to "rollback index location". am: 40ee1da883 am: cc2ad08388 am: 0938bb962f
  * Make 32-bit version of the unit tests pass.
  * Merge "Make 32-bit version of the unit tests pass."
  * Merge "Make 32-bit version of the unit tests pass." am: 3543ec5015
  * Merge "Make 32-bit version of the unit tests pass." am: 3543ec5015 am: d0fc85d970
  * Merge "Make 32-bit version of the unit tests pass." am: 3543ec5015 am: d0fc85d970 am: 2fce3814b5
  * Fix-up coding style and add PREUPLOAD.cfg file.
  * Fix-up coding style and add PREUPLOAD.cfg file.
  * Fix-up coding style and add PREUPLOAD.cfg file. am: 4b6a634e48
  * Fix-up coding style and add PREUPLOAD.cfg file. am: 4b6a634e48 am: 46bb1ed634
  * Fix-up coding style and add PREUPLOAD.cfg file. am: 4b6a634e48 am: 46bb1ed634 am: 565cdb309a
  * Rework interactions between AvbOps and AvbABOps.
  * Rework interactions between AvbOps and AvbABOps.
  * Rework interactions between AvbOps and AvbABOps. am: 574ed99917
  * Rework interactions between AvbOps and AvbABOps. am: 574ed99917 am: d2c6fbe55f
  * Rework interactions between AvbOps and AvbABOps. am: 574ed99917 am: d2c6fbe55f am: 74195f24eb
  * Set androidboot.vbmeta.device from libavb instead of descriptor.
  * Set androidboot.vbmeta.device from libavb instead of descriptor.
  * Set androidboot.vbmeta.device from libavb instead of descriptor. am: 57ac06e6e4
  * Set androidboot.vbmeta.device from libavb instead of descriptor. am: 57ac06e6e4 am: ed47145884
  * Set androidboot.vbmeta.device from libavb instead of descriptor. am: 57ac06e6e4 am: ed47145884 am: a22a1551cc
  * Rename --generate_dm_verity_cmdline_from_hashtree to --setup_rootfs_from_kernel
  * Rename --generate_dm_verity_cmdline_from_hashtree to --setup_rootfs_from_kernel
  * Rename --generate_dm_verity_cmdline_from_hashtree to --setup_rootfs_from_kernel am: 5d4f4f21a4
  * Rename --generate_dm_verity_cmdline_from_hashtree to --setup_rootfs_from_kernel am: 5d4f4f21a4 am: 8ba71af6a6
  * Rename --generate_dm_verity_cmdline_from_hashtree to --setup_rootfs_from_kernel am: 5d4f4f21a4 am: 8ba71af6a6 am: 8d6ffa8e61
  * avbtool: add --set_hashtree_disabled_flag option to make_vbmeta_image command.
  * avbtool: add --set_hashtree_disabled_flag option to make_vbmeta_image command.
  * avbtool: add --set_hashtree_disabled_flag option to make_vbmeta_image command. am: 5830552129
  * avbtool: add --set_hashtree_disabled_flag option to make_vbmeta_image command. am: 5830552129 am: f242f0edbe
  * avbtool: add --set_hashtree_disabled_flag option to make_vbmeta_image command. am: 5830552129 am: f242f0edbe am: dbf0b28da8
  * Add sample UEFI bootloader using libavb and libavb_ab.
  * Add sample UEFI bootloader using libavb and libavb_ab.
  * Add sample UEFI bootloader using libavb and libavb_ab. am: d9c76c7654
  * Add sample UEFI bootloader using libavb and libavb_ab. am: d9c76c7654 am: dafe35a62c
  * Add sample UEFI bootloader using libavb and libavb_ab. am: d9c76c7654 am: dafe35a62c am: c5929777d7
  * avbtool: Fix overallocation for Authentication Data block.
  * avbtool: Use 'restart_on_corruption' when setting up dm-verity.
  * avbtool: Fix overallocation for Authentication Data block.
  * avbtool: Fix overallocation for Authentication Data block. am: d5db21df02
  * avbtool: Fix overallocation for Authentication Data block. am: d5db21df02 am: 55f30ae219
  * avbtool: Fix overallocation for Authentication Data block. am: d5db21df02 am: 55f30ae219 am: 303dcce66a
  * avbtool: Use 'restart_on_corruption' when setting up dm-verity.
  * avbtool: Use 'restart_on_corruption' when setting up dm-verity. am: a01e32f151
  * avbtool: Use 'restart_on_corruption' when setting up dm-verity. am: a01e32f151 am: f3fa6f8bed
  * avbtool: Use 'restart_on_corruption' when setting up dm-verity. am: a01e32f151 am: f3fa6f8bed am: afbecb40e6
  * avbtool: Keep FEC data around when using --keep_hashtree with erase_footer.
  * avbtool: Keep FEC data around when using --keep_hashtree with erase_footer.
  * avbtool: Keep FEC data around when using --keep_hashtree with erase_footer. am: fbb61fa831
  * avbtool: Keep FEC data around when using --keep_hashtree with erase_footer. am: fbb61fa831 am: 3ffdb43a76
  * avbtool: Keep FEC data around when using --keep_hashtree with erase_footer. am: fbb61fa831 am: 3ffdb43a76 am: eef70611e1
  * avbtool: Make it possible to save vbmeta structs to a separate file.
  * libavb: Don't pass androidboot.slot_suffix in generated kernel command-line.
  * avbtool: Make it possible to save vbmeta structs to a separate file.
  * libavb: Don't pass androidboot.slot_suffix in generated kernel command-line.
  * avbtool: Make it possible to save vbmeta structs to a separate file. am: d247fcb8ab
  * libavb: Don't pass androidboot.slot_suffix in generated kernel command-line. am: 19c38437eb
  * avbtool: Make it possible to save vbmeta structs to a separate file. am: d247fcb8ab am: 5f5f9bcf00
  * libavb: Don't pass androidboot.slot_suffix in generated kernel command-line. am: 19c38437eb am: c69ef3b360
  * libavb: Include androidboot.vbmeta.version in the generated command-line.
  * avbtool: Make it possible to save vbmeta structs to a separate file. am: d247fcb8ab am: 5f5f9bcf00 am: ac7da2c6ed
  * libavb: Don't pass androidboot.slot_suffix in generated kernel command-line. am: 19c38437eb am: c69ef3b360 am: 87f51e4204
  * libavb: Include androidboot.vbmeta.version in the generated command-line.
  * libavb: Include androidboot.vbmeta.version in the generated command-line. am: bc41cead04
  * libavb: Include androidboot.vbmeta.version in the generated command-line. am: bc41cead04 am: b64acc2fee
  * libavb: Include androidboot.vbmeta.version in the generated command-line. am: bc41cead04 am: b64acc2fee am: b4630ff3b3
  * Rework how versioning work.
  * Rework how versioning work.
  * Rework how versioning work. am: e3cadcacd7
  * Rework how versioning work. am: e3cadcacd7 am: a467bedf7e
  * Allow top-level vbmeta struct to be in 'boot' partition.
  * Allow top-level vbmeta struct to be in 'boot' partition.
  * Allow top-level vbmeta struct to be in 'boot' partition. am: a5fd3a4b56
  * Allow top-level vbmeta struct to be in 'boot' partition. am: a5fd3a4b56 am: 3c94219501
  * uefi: Fix off by one when loading footers.
  * avbtool: Add 'append_vbmeta_image' command.
  * uefi: Fix off by one when loading footers.
  * uefi: Fix off by one when loading footers. am: e9fbb111d7
  * uefi: Fix off by one when loading footers. am: e9fbb111d7 am: ed4045c63d
  * avbtool: Add 'append_vbmeta_image' command.
  * avbtool: Add 'append_vbmeta_image' command. am: b1b994d8d9
  * avbtool: Add 'append_vbmeta_image' command. am: b1b994d8d9 am: c6cc85fd30
  * Add memory leak tracing infrastructure and fix a memory leak.
  * Add memory leak tracing infrastructure and fix a memory leak.
  * Add memory leak tracing infrastructure and fix a memory leak. am: 0f7de9479a
  * Add memory leak tracing infrastructure and fix a memory leak. am: 0f7de9479a am: 1277c5f522
  * libavb: Only print basename of file in avb_debug() and friends.
  * libavb: Only print basename of file in avb_debug() and friends.
  * libavb: Only print basename of file in avb_debug() and friends. am: f1bdec37f0
  * libavb: Only print basename of file in avb_debug() and friends. am: f1bdec37f0 am: 575a2aee1f
  * avbtool: Use root=/dev/dm-0 instead of root=0xfd00.
  * avbtool: Use root=/dev/dm-0 instead of root=0xfd00.
  * avbtool: Use root=/dev/dm-0 instead of root=0xfd00. am: fd9c18d298
  * avbtool: Use root=/dev/dm-0 instead of root=0xfd00. am: fd9c18d298 am: 41d12b9603
  * Use Markdown in README file.
  * Use Markdown in README file.
  * Use Markdown in README file. am: b0f1787002
  * Use Markdown in README file. am: b0f1787002 am: 0d50bbe936
  * avbctl: New tool to control AVB behavior at runtime.
  * avbctl: New tool to control AVB behavior at runtime.
  * avbctl: New tool to control AVB behavior at runtime. am: 86fd178603
  * avbctl: New tool to control AVB behavior at runtime. am: 86fd178603 am: ad6c3763d1
  * avbctl: New tool to control AVB behavior at runtime. am: 86fd178603 am: ad6c3763d1 am: 174bde4efb
  * avbctl: New tool to control AVB behavior at runtime.
  * avbctl: New tool to control AVB behavior at runtime.
  * avbctl: New tool to control AVB behavior at runtime. am: edd03a9d64
  * avbtool: Drop dependency on Crypto.PublicKey.RSA.
  * avbtool: Drop dependency on Crypto.PublicKey.RSA.
  * avbtool: Drop dependency on Crypto.PublicKey.RSA. am: c68f082d91
  * avbtool: Drop dependency on Crypto.PublicKey.RSA. am: c68f082d91 am: 6cb3ffd098
  * avbtool: Drop dependency on Crypto.PublicKey.RSA. am: c68f082d91 am: 6cb3ffd098 am: ac0947df74
  * avbtool: Add new verify_image command.
  * avbtool: Add new verify_image command.
  * avbtool: Add new verify_image command. am: b623d8b754
  * avbtool: Add new verify_image command. am: b623d8b754 am: 6282995529
  * avbtool: Add new verify_image command. am: b623d8b754 am: 6282995529 am: 426037f99a
  * Move enable/disable-verity code from avbctl to libavb_user.
  * uefi: Set both androidboot.slot and androidboot.slot_suffix.
  * avbtool: Add 'resize_image' command.
  * Move enable/disable-verity code from avbctl to libavb_user.
  * uefi: Set both androidboot.slot and androidboot.slot_suffix.
  * Move enable/disable-verity code from avbctl to libavb_user. am: 3a58015949
  * uefi: Set both androidboot.slot and androidboot.slot_suffix. am: b60834f7a4
  * Move enable/disable-verity code from avbctl to libavb_user. am: 3a58015949 am: 305997280b
  * uefi: Set both androidboot.slot and androidboot.slot_suffix. am: b60834f7a4 am: 2d8a83f392
  * Move enable/disable-verity code from avbctl to libavb_user. am: 3a58015949 am: 305997280b am: 5293217f75
  * uefi: Set both androidboot.slot and androidboot.slot_suffix. am: b60834f7a4 am: 2d8a83f392 am: 3fe8fc4f27
  * avbtool: Add 'resize_image' command.
  * avbtool: Add 'resize_image' command. am: 2bc232b84e
  * avbtool: Add 'resize_image' command. am: 2bc232b84e am: aff4115b3c
  * avbtool: Add 'resize_image' command. am: 2bc232b84e am: aff4115b3c am: 6617e66075
  * avbtool: Bail if the same rollback index location is used multiple times.
  * Update README.md for build system changes.
  * avbtool: Bail if the same rollback index location is used multiple times.
  * Update README.md for build system changes.
  * avbtool: Bail if the same rollback index location is used multiple times. am: d8e48584f1
  * Update README.md for build system changes. am: 5e92570cd3
  * avbtool: Bail if the same rollback index location is used multiple times. am: d8e48584f1 am: be9f46f0ae
  * Update README.md for build system changes. am: 5e92570cd3 am: 09f9f5c894
  * avbtool: Bail if the same rollback index location is used multiple times. am: d8e48584f1 am: be9f46f0ae am: d56c54c97c
  * Update README.md for build system changes. am: 5e92570cd3 am: 09f9f5c894 am: 9d7106d5ef
  * libavb: Load entire partition if |allow_verification_error| is true.
  * libavb: Load entire partition if |allow_verification_error| is true.
  * libavb: Load entire partition if |allow_verification_error| is true. am: 27a291fcc1
  * libavb: Load entire partition if |allow_verification_error| is true. am: 27a291fcc1 am: 553e1dce62
  * libavb: Load entire partition if |allow_verification_error| is true. am: 27a291fcc1 am: 553e1dce62 am: cc8c0cd2d5
  * Update AVB docs to include overview, recommendations and best practices.
  * Update AVB docs to include overview, recommendations and best practices.
  * Update AVB docs to include overview, recommendations and best practices. am: dc678e8d3c
  * Update AVB docs to include overview, recommendations and best practices. am: dc678e8d3c am: 06a3971d9e
  * Update AVB docs to include overview, recommendations and best practices. am: dc678e8d3c am: 06a3971d9e am: a76a679f84
  * libavb: Allow specifying dm-verity error handling.
  * avbtool: Generate forward-error-correcting codes for hashtree by default.
  * libavb: Allow specifying dm-verity error handling.
  * avbtool: Generate forward-error-correcting codes for hashtree by default.
  * libavb: Allow specifying dm-verity error handling. am: 8221811c5d
  * avbtool: Generate forward-error-correcting codes for hashtree by default. am: 02c550f85a
  * libavb: Allow specifying dm-verity error handling. am: 8221811c5d am: e57e6bbd15
  * avbtool: Generate forward-error-correcting codes for hashtree by default. am: 02c550f85a am: cef98f9f7d
  * libavb: Allow specifying dm-verity error handling. am: 8221811c5d am: e57e6bbd15 am: 1b57e05ff8
  * avbtool: Generate forward-error-correcting codes for hashtree by default. am: 02c550f85a am: cef98f9f7d am: 1c04c785d0
  * libavb: Allow specifying dm-verity error handling.
  * avbtool: Generate forward-error-correcting codes for hashtree by default.
  * avbtool: Avoid using $(ANDROID_VERITY_MODE) for now.
  * Clarify rollback index protection in README.md file.
  * Clarify rollback index protection in README.md file.
  * Clarify rollback index protection in README.md file. am: 1614f552a5
  * Clarify rollback index protection in README.md file. am: 1614f552a5 am: 459fde11d5
  * Clarify rollback index protection in README.md file. am: 1614f552a5 am: 459fde11d5 am: 30a7217a17
  * avbtool: add_hashtree_footer: Add --setup_as_rootfs_from_kernel option.
  * avbtool: add_hash_footer: Add --calc_max_image_size option.
  * avbtool: add_hashtree_footer: Add --setup_as_rootfs_from_kernel option.
  * avbtool: add_hash_footer: Add --calc_max_image_size option.
  * avbtool: add_hashtree_footer: Add --setup_as_rootfs_from_kernel option. am: 73f2afadf9
  * avbtool: add_hash_footer: Add --calc_max_image_size option. am: bf56245c7a
  * avbtool: add_hashtree_footer: Add --setup_as_rootfs_from_kernel option. am: 73f2afadf9 am: 9f4dcb1a42
  * avbtool: add_hash_footer: Add --calc_max_image_size option. am: bf56245c7a am: e8b1ab9613
  * avbtool: add_hashtree_footer: Add --setup_as_rootfs_from_kernel option. am: 73f2afadf9 am: 9f4dcb1a42 am: 34f7437b23
  * avbtool: add_hash_footer: Add --calc_max_image_size option. am: bf56245c7a am: e8b1ab9613 am: 375f564096
  * libavb: Add test for verifying veritymode is set to 'disabled'.
  * libavb: Only load and verify hash partition if requested.
  * libavb: Add test for verifying veritymode is set to 'disabled'.
  * libavb: Only load and verify hash partition if requested.
  * libavb: Add test for verifying veritymode is set to 'disabled'. am: a47b0a1074
  * libavb: Only load and verify hash partition if requested. am: 01ca9962bd
  * libavb: Add test for verifying veritymode is set to 'disabled'. am: a47b0a1074 am: cd41b46ac4
  * libavb: Only load and verify hash partition if requested. am: 01ca9962bd am: 046818a09a
  * libavb: Add test for verifying veritymode is set to 'disabled'. am: a47b0a1074 am: cd41b46ac4 am: 7fae952d5d
  * libavb: Only load and verify hash partition if requested. am: 01ca9962bd am: 046818a09a am: 5b3fadbbdb
  * avbtool: verify_image: Verify hash-, hashtree, and chain-descriptors.
  * avbtool: verify_image: Verify hash-, hashtree, and chain-descriptors.
  * avbtool: verify_image: Verify hash-, hashtree, and chain-descriptors. am: 5dfb4e9999
  * avbtool: verify_image: Verify hash-, hashtree, and chain-descriptors. am: 5dfb4e9999 am: 4c3125a6ea
  * avbtool: verify_image: Verify hash-, hashtree, and chain-descriptors. am: 5dfb4e9999 am: 4c3125a6ea am: 8aef401cdd
  * avbtool: Add --print_required_libavb_version option.
  * avbtool: Add --print_required_libavb_version option.
  * avbtool: Add --print_required_libavb_version option. am: 1097a78e50
  * avbtool: Add --print_required_libavb_version option. am: 1097a78e50 am: 62768ff810
  * avbtool: Add --print_required_libavb_version option. am: 1097a78e50 am: 62768ff810 am: f917f7ebb2
  * avbtool: Add --signing_helper_with_files option.
  * avbtool: make_vbmeta_image: Add --padding_size option.
  * avbtool: Add --signing_helper_with_files option.
  * avbtool: make_vbmeta_image: Add --padding_size option.
  * avbtool: Add --signing_helper_with_files option. am: a156d3d631
  * avbtool: make_vbmeta_image: Add --padding_size option. am: 97cb5801c7
  * avbtool: Add --signing_helper_with_files option. am: a156d3d631 am: c01faa14ad
  * avbtool: make_vbmeta_image: Add --padding_size option. am: 97cb5801c7 am: 60155b223e
  * avbtool: Add --signing_helper_with_files option. am: a156d3d631 am: c01faa14ad am: 29ff85df13
  * avbtool: make_vbmeta_image: Add --padding_size option. am: 97cb5801c7 am: 60155b223e am: d17c9047a9
  * Make it possible to disable verification.
  * Make it possible to disable verification.
  * Make it possible to disable verification. am: 0922bf8970
  * Make it possible to disable verification. am: 0922bf8970 am: 1c045f4bab
  * Make it possible to disable verification. am: 0922bf8970 am: 1c045f4bab am: 7d8a713c34
  * Make it possible to disable verification.
  * Make it possible to disable verification.
  * Make it possible to disable verification. am: 2b9f058eba  -s ours
  * libavb: Avoid conflict with system-provided crc32 symbol.
  * libavb: Avoid conflict with system-provided crc32 symbol.
  * libavb: Avoid conflict with system-provided crc32 symbol. am: 047ecf7d23
  * libavb: Avoid conflict with system-provided crc32 symbol. am: 047ecf7d23 am: 657b60c7ff
  * libavb: Avoid conflict with system-provided crc32 symbol. am: 047ecf7d23 am: 657b60c7ff am: 28362f9178
  * Revert "avbtool: Avoid using $(ANDROID_VERITY_MODE) for now."
  * Revert "avbtool: Avoid using $(ANDROID_VERITY_MODE) for now."
  * Revert "avbtool: Avoid using $(ANDROID_VERITY_MODE) for now." am: 1b2f7a64e2
  * avbctl: Require --force option if in LOCKED mode.
  * avbctl: Require --force option if in LOCKED mode.
  * avbctl: Require --force option if in LOCKED mode. am: 5468c26c4e
  * avbctl: Require --force option if in LOCKED mode. am: 5468c26c4e am: a290f55080
  * avbctl: Require --force option if in LOCKED mode. am: 5468c26c4e am: a290f55080 am: f0ce17b978
  * avbctl: Require --force option if in LOCKED mode. am: 5468c26c4e am: a290f55080 am: f0ce17b978 am: 0d3f40d0eb
  * avbctl: Remove comment and code about ro.boot.slot.
  * avbctl: Remove comment and code about ro.boot.slot.
  * avbctl: Remove comment and code about ro.boot.slot. am: 2f6ce4329c
  * avbctl: Remove comment and code about ro.boot.slot. am: 2f6ce4329c am: 9d6353365d
  * avbctl: Remove comment and code about ro.boot.slot. am: 2f6ce4329c am: 9d6353365d am: f1760eff1c
  * Deprecate libavb_ab and bootctrl.avb code.
  * Deprecate libavb_ab and bootctrl.avb code.
  * Deprecate libavb_ab and bootctrl.avb code. am: 37f5946d0e
  * Deprecate libavb_ab and bootctrl.avb code. am: 37f5946d0e am: 7ee8cf07a6
  * Deprecate libavb_ab and bootctrl.avb code. am: 37f5946d0e am: 7ee8cf07a6 am: 494ac2cca2
  * Revert "protect avbtool logic from very small images"
  * Add NOTICE and MODULE_LICENSE_MIT files.
  * Add NOTICE and MODULE_LICENSE_MIT files.
  * Add NOTICE and MODULE_LICENSE_MIT files. am: 3158d593fc
  * Add NOTICE and MODULE_LICENSE_MIT files. am: 3158d593fc am: cf8c56208d
  * README.md: Add a section with device-specific notes.
  * README.md: Add a section with device-specific notes.
  * README.md: Add a section with device-specific notes. am: 39d8c91943
  * README.md: Add a section with device-specific notes. am: 39d8c91943 am: be95f26194

  [ Yi Kong ]
  * Ignore -Wformat warning
  * Ignore -Wformat warning
  * Ignore -Wformat warning am: ed46d64c50
  * Ignore -Wformat warning am: ed46d64c50 am: faaddfc3a9

  [ Stephen Li ]
  * Manually merge changes from giant AOSP topic

  [ Xin Li ]
  * Merge commit 'fe158909b5143ba12ab68e4fd4ef85b021e60635' into HEAD
  * Merge remote-tracking branch 'goog/stage-aosp-master' into HEAD
  * Merge remote-tracking branch 'goog/stage-aosp-master' into HEAD
  * DO NOT MERGE: Merge Oreo MR1 into master
  * DO NOT MERGE: Merge Oreo MR1 into master
  * DO NOT MERGE: Merge Oreo MR1 into master am: a3d3f3e18c  -s ours

  [ Lonnie Liu ]
  * Update module-local import path to be relative.
  * Update module-local import path to be relative.
  * Update module-local import path to be relative. am: bd60d6ee7e
  * Update module-local import path to be relative. am: bd60d6ee7e am: c609240010
  * Do not modify the image when --do_not_append_vbmeta_image is specified.
  * Add avb_div_by_10() sysdep operation.
  * Add avb_div_by_10() sysdep operation.
  * Add avb_div_by_10() sysdep operation. am: 061e33b39e
  * Add avb_div_by_10() sysdep operation. am: 061e33b39e am: 9be6d23747
  * Support (boot) partition preloading.
  * Merge "Do not modify the image when --do_not_append_vbmeta_image is specified."
  * Support (boot) partition preloading.
  * Merge "Do not modify the image when --do_not_append_vbmeta_image is specified." am: 3b2cfe8e6b
  * Support (boot) partition preloading. am: fcadbf1d1a
  * Merge "Do not modify the image when --do_not_append_vbmeta_image is specified." am: 3b2cfe8e6b am: 8bc39fde51
  * Support (boot) partition preloading. am: fcadbf1d1a am: b6b6e850c0
  * Split kernel cmdline code in separate file.
  * Merge "Split kernel cmdline code in separate file."
  * Merge "Split kernel cmdline code in separate file." am: 983a7d5531
  * Merge "Split kernel cmdline code in separate file." am: 983a7d5531 am: dbf8a4ef15

  [ Treehugger Robot ]
  * Merge "Build libavb as a static library"
  * Merge "Add way to disable dm-verity allowing rootfs to be writable."
  * Merge "Make 32-bit version of the unit tests pass."
  * Merge changes from topic 'fix-errors'
  * Merge "Add libbase dependency for bootctrl.avb"
  * Merge "Removing AVB_MAJOR_VERSION and AVB_MINOR_VERSION"
  * Merge "Add OWNERS in external/avb"
  * Merge "Adding AVB-specific kernel patches for reference"
  * Merge "Add #include <endian.h> for htobe32"
  * Merge "Do not modify the image when --do_not_append_vbmeta_image is specified."
  * Merge "Use a zero product id instead of random."
  * Merge "Split kernel cmdline code in separate file."

  [ Sandeep Patil ]
  * DO NOT MERGE ANYWHERE avbctl: Add the comment and code about ro.boot.slot
  * DO NOT MERGE ANYWHERE avbctl: Add the comment and code about ro.boot.slot
  * DO NOT MERGE ANYWHERE avbctl: Add the comment and code about ro.boot.slot am: dd941aa460  -s ours
  * DO NOT MERGE ANYWHERE avbctl: Add the comment and code about ro.boot.slot am: dd941aa460  -s ours am: 5af2d2ea38  -s ours

  [ Zach Riggle ]
  * Fix incorrect variable names in avb_replace
  * Merge "Fix incorrect variable names in avb_replace"
  * Merge "Fix incorrect variable names in avb_replace"
  * Merge "Fix incorrect variable names in avb_replace" am: 1f7447309e
  * Merge "Fix incorrect variable names in avb_replace" am: 1f7447309e am: 216a28f256

  [ Connor O'Brien ]
  * Check for valid slot number in boot_control functions
  * Check for valid slot number in boot_control functions
  * Check for valid slot number in boot_control functions am: deaa28bb65
  * Check for valid slot number in boot_control functions am: deaa28bb65 am: 85081ffb38
  * Check for valid slot number in boot_control functions am: deaa28bb65 am: 85081ffb38 am: d5200ff9dd

  [ Dan Willemsen ]
  * Add #include <endian.h> for htobe32
  * Merge "Add #include <endian.h> for htobe32"
  * Merge "Add #include <endian.h> for htobe32" am: 2bbf369a1b
  * Merge "Add #include <endian.h> for htobe32" am: 2bbf369a1b am: 079b012701
  * Merge "Add #include <endian.h> for htobe32" am: 2bbf369a1b am: 079b012701 am: 6352de296c
  * Remove default libraries
  * Remove default libraries
  * Remove default libraries am: 09fd799fca
  * Remove default libraries am: 09fd799fca am: 1fa6a1a785
  * Remove default libraries am: 09fd799fca am: 1fa6a1a785 am: 5fb19ae43f
  * Rename target.linux[_x86[_64]] to target.linux_glibc[_x86[_64]]
  * Rename target.linux[_x86[_64]] to target.linux_glibc[_x86[_64]]
  * Rename target.linux[_x86[_64]] to target.linux_glibc[_x86[_64]] am: 34ec123c60
  * Rename target.linux[_x86[_64]] to target.linux_glibc[_x86[_64]] am: 34ec123c60 am: c480f68870
  * Rename target.linux[_x86[_64]] to target.linux_glibc[_x86[_64]] am: 34ec123c60 am: c480f68870 am: 76c7df2678

  [ Bowgo Tsai ]
  * Removing AVB_MAJOR_VERSION and AVB_MINOR_VERSION
  * Replacing fs_mgr_read_fstab() with new fs_mgr APIs
  * Replacing fs_mgr_read_fstab() with new fs_mgr APIs
  * Replacing fs_mgr_read_fstab() with new fs_mgr APIs am: 49a88a3cef
  * Replacing fs_mgr_read_fstab() with new fs_mgr APIs am: 49a88a3cef am: 85d19d39c1
  * Merge "Removing AVB_MAJOR_VERSION and AVB_MINOR_VERSION"
  * Merge "Removing AVB_MAJOR_VERSION and AVB_MINOR_VERSION" am: ee4603937b
  * Merge "Removing AVB_MAJOR_VERSION and AVB_MINOR_VERSION" am: ee4603937b am: eddcf79e12
  * Merge "Removing AVB_MAJOR_VERSION and AVB_MINOR_VERSION" am: ee4603937b am: eddcf79e12 am: da95797271
  * Adding AVB-specific kernel patches for reference
  * Merge "Adding AVB-specific kernel patches for reference"
  * Merge "Adding AVB-specific kernel patches for reference" am: f227176bd9
  * Merge "Adding AVB-specific kernel patches for reference" am: f227176bd9 am: 57c7c7b61e
  * Merge "Adding AVB-specific kernel patches for reference" am: f227176bd9 am: 57c7c7b61e am: 8330c13738
  * libavb_user: convert avb_ops_user.c to .cpp
  * libavb_user: convert avb_ops_user.c to .cpp
  * libavb_user: convert avb_ops_user.c to .cpp am: 84c610ed1d
  * libavb_user: convert avb_ops_user.c to .cpp am: 84c610ed1d am: 345b00f187
  * libavb_user: convert avb_ops_user.c to .cpp am: 84c610ed1d am: 345b00f187 am: 8871f1554e

  [ TreeHugger Robot ]
  * Merge "protect avbtool logic from very small images"

  [ Alexey Polyudov ]
  * protect avbtool logic from very small images

  [ Jocelyn Bohr ]
  * Rename libcrypto-host to libcrypto
  * Delete public pem files.
  * Rename libcrypto-host to libcrypto
  * Delete public pem files.
  * Rename libcrypto-host to libcrypto am: 1bb0e3b18d
  * Delete public pem files. am: c73cc6d68c
  * Rename libcrypto-host to libcrypto am: 1bb0e3b18d am: a4fce0b4f7
  * Delete public pem files. am: c73cc6d68c am: 7c31382e78
  * Rename libcrypto-host to libcrypto am: 1bb0e3b18d am: a4fce0b4f7 am: 2a3072b27f
  * Delete public pem files. am: c73cc6d68c am: 7c31382e78 am: 9c16fc2c4c
  * Fix AvbAlgorithmType type-limits error
  * Fix AvbAlgorithmType type-limits error
  * Fix AvbAlgorithmType type-limits error am: fc2531374e
  * Fix AvbAlgorithmType type-limits error am: fc2531374e am: 6d22711063
  * Fix AvbAlgorithmType type-limits error am: fc2531374e am: 6d22711063 am: f483f08d84

  [ Chih-Hung Hsieh ]
  * Add OWNERS in external/avb
  * Merge "Add OWNERS in external/avb"
  * Merge "Add OWNERS in external/avb" am: f2ed047da6
  * Merge "Add OWNERS in external/avb" am: f2ed047da6 am: d05864c851
  * Merge "Add OWNERS in external/avb" am: f2ed047da6 am: d05864c851 am: 8d73b9930c

  [ Tom Cherry ]
  * Move to Android.bp
  * Move to Android.bp
  * Move to Android.bp am: 8d225d8f4e
  * Move to Android.bp am: 8d225d8f4e am: d314b3b72f
  * Move to Android.bp am: 8d225d8f4e am: d314b3b72f am: ac8f2206b6
  * add avbtool to darwin builds
  * add avbtool to darwin builds
  * add avbtool to darwin builds am: c070440135
  * add avbtool to darwin builds am: c070440135 am: 300ad667c2
  * add avbtool to darwin builds am: c070440135 am: 300ad667c2 am: 670cbbc941

  [ Vineeta Srivastava ]
  * Revert "avbtool: Generate forward-error-correcting codes for hashtree by default."
  * Revert "libavb: Allow specifying dm-verity error handling."

  [ Esun Kim ]
  * avbtool: Make raw_sign check the length of signature.
  * avbtool: Make raw_sign check the length of signature.
  * avbtool: Make raw_sign check the length of signature. am: ff44f232bc
  * avbtool: Make raw_sign check the length of signature. am: ff44f232bc am: d6a566de4e
  * avbtool: Make raw_sign check the length of signature. am: ff44f232bc am: d6a566de4e am: 34b6aefcb1

  [ bowgotsai ]
  * Build libavb as a static library
  * Merge "Build libavb as a static library"
  * Merge "Build libavb as a static library" am: c340892624
  * Merge "Build libavb as a static library" am: c340892624 am: bb81257872
  * Merge "Build libavb as a static library" am: c340892624 am: bb81257872 am: f6450ec64c
  * Add libbase dependency for bootctrl.avb
  * Merge "Add libbase dependency for bootctrl.avb"
  * Merge "Add libbase dependency for bootctrl.avb" am: b82476b477
  * Merge "Add libbase dependency for bootctrl.avb" am: b82476b477 am: 13781b1cbf
  * Merge "Add libbase dependency for bootctrl.avb" am: b82476b477 am: 13781b1cbf am: 74418a587f

  [ Dzmitry Yatsushkevich ]
  * avbtool: add support for signing helper.
  * avb_sysdeps.h: set pointer alignment verification based on ARCH long and pointer size.
  * libavb: fix gcc compilation error.
  * libavb: fix -Werror=return-type compilation error.
  * avbtool: add support for signing helper.
  * avbtool: add support for signing helper. am: 4e55279b45
  * avbtool: add support for signing helper. am: 4e55279b45 am: 84af3a8749
  * avbtool: add support for signing helper. am: 4e55279b45 am: 84af3a8749 am: 31939e53c5
  * avb_sysdeps.h: set pointer alignment verification based on ARCH long and pointer size.
  * libavb: fix gcc compilation error.
  * libavb: fix -Werror=return-type compilation error.
  * Merge changes from topic 'fix-errors'
  * avb_sysdeps.h: set pointer alignment verification based on ARCH long and pointer size. am: dc883a144a
  * libavb: fix gcc compilation error. am: b82c411013
  * libavb: fix -Werror=return-type compilation error. am: 4cfa3cdc87
  * Merge changes from topic 'fix-errors' am: 3c58e59d0d
  * avb_sysdeps.h: set pointer alignment verification based on ARCH long and pointer size. am: dc883a144a am: 4539734f37
  * libavb: fix gcc compilation error. am: b82c411013 am: df0a0c9ea4
  * libavb: fix -Werror=return-type compilation error. am: 4cfa3cdc87 am: e31103b526
  * Merge changes from topic 'fix-errors' am: 3c58e59d0d am: 655f5b8112
  * avb_sysdeps.h: set pointer alignment verification based on ARCH long and pointer size. am: dc883a144a am: 4539734f37 am: 8190066c72
  * libavb: fix gcc compilation error. am: b82c411013 am: df0a0c9ea4 am: 57b613a1f1
  * libavb: fix -Werror=return-type compilation error. am: 4cfa3cdc87 am: e31103b526 am: 91ed9204b2
  * Merge changes from topic 'fix-errors' am: 3c58e59d0d am: 655f5b8112 am: 6ce637bdc6

  [ kuantung ]
  * Initial empty repository

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Tue, 06 Apr 2021 18:05:01 +0200

